Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.model.common.edit.provider
Class CustomReflectiveItemProviderAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.emf.edit.provider.ReflectiveItemProviderAdapterFactory
              org.eclipse.emf.ecp.view.model.common.edit.provider.CustomReflectiveItemProviderAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory, org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

    public class CustomReflectiveItemProviderAdapterFactory

extends org.eclipse.emf.edit.provider.ReflectiveItemProviderAdapterFactory

This is the factory that is used to provide the interfaces needed to support Viewers reflectively.

Constructor Summary
`CustomReflectiveItemProviderAdapterFactory()` This constructs an instance.

Method Summary
`org.eclipse.emf.common.notify.Adapter` | `createAdapter(org.eclipse.emf.common.notify.Notifier target)`
`void` | `dispose()`

Methods inherited from class org.eclipse.emf.edit.provider.ReflectiveItemProviderAdapterFactory
`adapt, adapt, addListener, fireNotifyChanged, getRootAdapterFactory, isFactoryForType, removeListener, setParentAdapterFactory`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adaptAllNew, adaptNew`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory
`adaptAllNew, adaptNew`

Constructor Detail

### CustomReflectiveItemProviderAdapterFactory

    public CustomReflectiveItemProviderAdapterFactory()

  This constructs an instance.

Method Detail

### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

  Overrides:
    `createAdapter` in class `org.eclipse.emf.edit.provider.ReflectiveItemProviderAdapterFactory`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.emf.edit.provider.IDisposable`
  Overrides:
    `dispose` in class `org.eclipse.emf.edit.provider.ReflectiveItemProviderAdapterFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.